Skip to main content

Metadata

Update metadata for an Object

Geoscience Object API

Version: 1.21.4

Update metadata for a geoscience object version. If a version is not specified, the latest version of the object will be used. Setting the metadata property to null will remove the metadata from the object version.

Parameters

authorizationstring
Required

Example: "355fa5a6-f37d-11ed-93c1-00155d19a71b"

UUID of a geoscience object.

Example: "b208a6c9-6881-4b97-b02d-acb5d81299bb"

The customer's organisation ID

workspace_iduuid
Required

Example: "032806a8-dcd7-11ed-8d5c-00155d8f28b5"

Example: "1706583776404684724"

The version of the object to retrieve. Defaults to the latest version if not specified.

stage_iduuid | null

{
"stage_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}

Returns

204

Successful Response

Endpoint

PATCH
/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}/metadata

Request

curl -X PATCH 'https://{service_host}/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}/metadata' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

No response body.

What is the reason for your feedback?